#!/bin/sh
# 
# File:        make_grid.sh
# CVS:         $Id$
# Description: Generate minimised version of grid
# Author:      Allan Jardine
# Created:     17-10-07
# Modified:	   $Date$ by $Author$
# Language:	   Shell/Bash
# Project:     Grid
# 
# Copyright 2007 Allan Jardine. All rights reserved.
# 
#

fnAddCopyright()
{
	cat copyright.js ../js_build/${1} > ../js_build/${1}.tmp
	mv ../js_build/${1}.tmp ../js_build/${1}
}

if [ ! -f /bin/yuicompressor-2.2.5.jar ]; then
	echo "Could not find YUI compressor in /bin/yuicompressor-2.2.5.jar"
fi

cd media/js

if [ -d ../js_build ]; then
	rm -Rf ../js_build
fi

mkdir ../js_build

cat js-core.js design-core.js remoting.js label.js > ../js_build/label-complete-uncompressed.js
cat                           remoting.js label.js > ../js_build/label-component-uncompressed.js

java -jar /bin/yuicompressor-2.2.5.jar -o ../js_build/label-loader.js    --line-break 80 --charset MacRoman label-loader.js 
java -jar /bin/yuicompressor-2.2.5.jar -o ../js_build/label-component.js --line-break 80 --charset MacRoman ../js_build/label-component-uncompressed.js 
java -jar /bin/yuicompressor-2.2.5.jar -o ../js_build/label-complete.js  --line-break 80 --charset MacRoman ../js_build/label-complete-uncompressed.js

rm ../js_build/label-complete-uncompressed.js
rm ../js_build/label-component-uncompressed.js

fnAddCopyright label-loader.js
fnAddCopyright label-component.js
fnAddCopyright label-complete.js